Bug 139535 - pidof unable to find SOME system threads
pidof unable to find SOME system threads
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 11:32 EST by Mark H Johnson
Modified: 2014-03-16 22:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark H Johnson 2004-11-16 11:32:31 EST
Description of problem:

On 2.6 kernels, /sbin/pidof is able to determine the PID of
some system tasks but not all of them. For example:
 # pidof 'kswapd0'
 102
 # pidof 'events/0'
 
 #
Apparently the / in the task name is causing a problem with
pidof even though the full task name is quoted.

Version-Release number of selected component (if applicable):

# rpm -q --file /sbin/pidof
SysVinit-2.85-25

How reproducible:
Boot a 2.6 kernel that uses task names with slashes in them.
Choose a task with that name & use pidof to attempt to get its
PID. [I'm using one of Ingo's RT kernels, but this should be
reproducable on other kernels]

Steps to Reproduce:
1. ps -fe | grep '\['
2. choose a task with a / in its name
3. pidof '(that task name here)
  
Actual results:
No output.

Expected results:
PID of selected task.

Additional info:
Comment 1 Bill Nottingham 2004-11-16 11:56:44 EST
It's almost certainly treating it as a path to a binary.
Comment 2 Pete Lancashire 2004-11-24 16:52:43 EST
Here's another SysVinit-2.85.35

Postgres 7.4.6-2

/etc/init.d/postgres start, fails.

Digging around there is a test to see of a process called postmaster
is running

/sbin/pidof -s /usr/bin/postmaster

even though there is a process with that name running, pidof returns
a empty string.

-pete
Comment 3 Bill Nottingham 2005-01-28 01:36:34 EST
Pete: that's a different bug in SysVinit-2.85-35; will be fixed in -36
(or by downgrading to -34.)
Comment 4 David Lawrence 2007-06-21 22:18:04 EDT
Package name is now sysvinit in latest Fedora.
Comment 5 Bug Zapper 2008-04-03 11:46:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:04:00 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.